GuardSignerService
Sign Protected Action
Create an approval signature for a supported protected action.
Method
POST
Path
/v1/chain/guard-signer/approvals
Visibility
Authentication
Session token
MFA Requirement
POST
/v1/chain/guard-signer/approvals Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/chain/guard-signer/approvals' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"action": "FUNDING_SET_EXTERNAL_WHITELIST_REQUIRED",
"args": {
"externalWhitelist": {
"addresses": [
"0x3333333333333333333333333333333333333333"
],
"polychainChainId": 1
}
},
"subaccountId": "6789012345678"
}'Responses
{
"approval": {
"deadlineUnix": "1",
"nonceSpace": "1",
"signature": "0xabcdefg..............................."
}
} action string
Protected action to approve.
args string
Business arguments for the selected protected action.
subaccountId string (int64)
Optional subaccount public id. When omitted, the authenticated caller's root account is used as the target account.
3 fields
nonceSpace string (uint64)
Nonce space used for the signed approval. Normal flows use 0.
Example
1 deadlineUnix string (uint64)
Deadline as a unix timestamp in seconds, derived from chain time.
Example
1 signature string (byte)
EIP-712 signature over the guard approval message.
Example
0xabcdefg...............................| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |